%{!?upstream_version: %global upstream_version %{version}%{?milestone}}
Name:           puppet-ceilometer
Version:        10.3.0
Release:        3%{?dist}
Summary:        Puppet module for OpenStack Ceilometer
License:        ASL 2.0

URL:            https://launchpad.net/puppet-ceilometer

Source0:        https://tarballs.openstack.org/%{name}/%{name}-%{upstream_version}.tar.gz

# patches_ignore=DROP-IN-RPM
# patches_base=03eca3f9cc0bd2e4b1a1c83313921b2177e36564
Patch0001: 0001-Make-skip-gnocchi-option-overridable.patch
Patch0002: 0002-Fix-dispatcher-params.patch

BuildArch:      noarch

Requires:       puppet-apache
Requires:       puppet-inifile
Requires:       puppet-keystone
Requires:       puppet-openstacklib
Requires:       puppet-oslo
Requires:       puppet-stdlib
Requires:       puppet >= 2.7.0

%description
Puppet module for OpenStack Ceilometer

%prep
%setup -q -n openstack-ceilometer-%{upstream_version}

%patch0001 -p1
%patch0002 -p1

find . -type f -name ".*" -exec rm {} +
find . -size 0 -exec rm {} +
find . \( -name "*.pl" -o -name "*.sh"  \) -exec chmod +x {} +
find . \( -name "*.pp" -o -name "*.py"  \) -exec chmod -x {} +
find . \( -name "*.rb" -o -name "*.erb" \) -exec chmod -x {} +
find . \( -name spec -o -name ext \) | xargs rm -rf

%build


%install
rm -rf %{buildroot}
install -d -m 0755 %{buildroot}/%{_datadir}/openstack-puppet/modules/ceilometer/
cp -rp * %{buildroot}/%{_datadir}/openstack-puppet/modules/ceilometer/



%files
%{_datadir}/openstack-puppet/modules/ceilometer/


%changelog
* Tue Apr 11 2017 Jon Schlueter <jschluet@redhat.com> 10.3.0-3
- Fix dispatcher params (rhbz#1439199)
- Update License to standard ASL 2.0 nomenclature

* Wed Mar 29 2017 Jon Schlueter <jschluet@redhat.com> 10.3.0-2
- Make skip gnocchi option overridable

* Fri Feb 10 2017 Haikel Guemar <hguemar@fedoraproject.org> 10.3.0-1
- Update to 10.3.0


